Salta la navigazione

Questo è il forum di assistenza tecnica di WPML, il plug-in multilingue di WordPress.

La sua lettura è permessa a tutti, ma la pubblicazione è riservata esclusivamente ai clienti di WPML. Il team di WPML risponde sul forum 6 giorni su 7, 22 ore su 24.

Nessun supporter è disponibile a lavorare oggi sul forum Italian. Sentitevi liberi di creare ticket e li gestiremo il prima possibile quando saremo online. Grazie per la comprensione.

Sun Mon Tue Wed Thu Fri Sat
- 9:00 – 13:00 9:00 – 13:00 9:00 – 13:00 9:00 – 13:00 9:00 – 13:00 -
- 14:00 – 18:00 14:00 – 18:00 14:00 – 18:00 14:00 – 18:00 14:00 – 18:00 -

Fuso orario del fornitore: Europe/Tirane (GMT+02:00)

Questo ticket contiene 3 risposte, ha 2 voci.

Ultimo aggiornamento da Marsel Nikolli 1 mese fa.

Assistito da: Marsel Nikolli.

Autore Messaggi
Aprile 24, 2024 a 1:43 pm #15561019

systemM

Sto cercando di utilizzare in contemporanea WPML e Elementor Versione 3.21.2 e Elementor PRO Versione 3.21.0.

Non riesco a caricare l'interfaccia di elementor per poter modificare il mio sito: si blocca l'interfaccia.
Una volta disattivato WPML, posso finalmente utilizzare elementor

Ho attivato il debug nel mio sito WP per capire quale fosse il problema e visualizzo i seguenti messaggi:

Deprecated: Creation of dynamic property Whip_RequirementsChecker::$configuration is deprecated in /var/www/wordpress/wp-content/plugins/sitepress-multilingual-cms/vendor/yoast/whip/src/Whip_RequirementsChecker.php on line 37

Deprecated: Creation of dynamic property Whip_RequirementsChecker::$messageManager is deprecated in /var/www/wordpress/wp-content/plugins/sitepress-multilingual-cms/vendor/yoast/whip/src/Whip_RequirementsChecker.php on line 38

Warning: Cannot modify header information - headers already sent by (output started at /var/www/wordpress/wp-content/plugins/sitepress-multilingual-cms/vendor/yoast/whip/src/Whip_RequirementsChecker.php:37) in /var/www/wordpress/wp-admin/includes/misc.php on line 1439

Warning: Cannot modify header information - headers already sent by (output started at /var/www/wordpress/wp-content/plugins/sitepress-multilingual-cms/vendor/yoast/whip/src/Whip_RequirementsChecker.php:37) in /var/www/wordpress/wp-includes/functions.php on line 7096

Warning: Cannot modify header information - headers already sent by (output started at /var/www/wordpress/wp-content/plugins/sitepress-multilingual-cms/vendor/yoast/whip/src/Whip_RequirementsChecker.php:37) in /var/www/wordpress/wp-admin/admin-header.php on line 9

Ho anche provato a cambiare versione di Elementor facendo un downgrade a quelle precedenti ma il problema persiste. Potete aiutarmi? Grazie.

Aprile 24, 2024 a 2:18 pm #15561146

Marsel Nikolli
Supporter

Lingue: Inglese (English )

Fuso orario: Europe/Tirane (GMT+02:00)

Buongiorno,

Grazie per aver contattato il supporto WPML. Sarò felice di aiutarti.

Potresti provare ad utilizzare PHP v8.1 e verificare se il problema persiste?

Ti preghiamo di tenere presente che la compatibilità di WordPress con le versioni di PHP (https://make.wordpress.org/core/handbook/references/php-compatibility-and-wordpress-versions/) indica alcune incompatibilità note con PHP 8.2.

Fammi sapere come procede,
Marsel

Aprile 24, 2024 a 4:31 pm #15561889

systemM

Salve e grazie della risposta. Attualmente utilizzo la versione 8.2 di php come si vede dall'immagine in allegato

Screenshot 2024-04-24 182944.png
Aprile 25, 2024 a 7:43 am #15563718

Marsel Nikolli
Supporter

Lingue: Inglese (English )

Fuso orario: Europe/Tirane (GMT+02:00)

Ciao,

Sì, l'ho notato dalle informazioni di debug l'utilizzo della versione 8.2, pero sarebbe possibile fare un downgrade alla versione PHP v8.1 e verificare se il problema persiste?

In attesa della tua risposta,
Marsel

L'argomento '[Chiuso] Elementor non funziona quando WPML è attivo' è chiuso a nuove risposte.